#!/usr/bin/python
#
# Copyright 2010, Red Hat, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Author: Chris Lumens <clumens@redhat.com>

import os, sys

from cases import Autopart

class AutopartFreespaceRunner(Autopart.AutopartRunner):
    def setup(self):
        # Create a partition on the disk so we have something to work around
        # and test for later.
        os.system("parted /dev/sda mklabel msdos")
        os.system("parted /dev/sda mkpart primary 1 100")
        os.system("mkfs.vfat /dev/sda1")

    def writeKickstart(self):
        fo = open("/tmp/kickstart.ks", "w")
        fo.write("autopart\n")
        fo.close()

class AutopartFreespaceTestCase(Autopart.AutopartTestCase):
    """What autopartitioning made is dependent upon how much disk space is
       in the VM:

       < 50GB:  /boot; LVM containing / and swap
       >= 50GB: /boot; LVM containing /, /home, and swap

       The preexisting partition should also still be around, though.
    """

    def test_preexist(self):
        part = self.getDevs(self.state, format="vfat")
        self.failIf(not part,
                    "vfat partition no longer exists")
